VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Event Struct Reference
New classes » Version 4.11

Event. More...

`#include <events.h>`

Inheritance diagram for Event:

## Public Member Functions
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Detailed Description

Event.

## Constructor & Destructor Documentation

## ◆ Event() [1/3]

Event | ( |  | ) |
| noexcept

## ◆ Event() [2/3]

Event | ( | const Event & |  | ) |
| delete

## ◆ Event() [3/3]

Event | ( | Event && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

Event & operator= | ( | const Event & |  | ) |
| delete

## ◆ operator=() [2/2]

Event & operator= | ( | Event && |  | ) |
| default

## Member Data Documentation

## ◆ consumed

EventConsumeState consumed

Consumed?

If this is true, event dispatching is stopped.

## ◆ id

uint64_t id

Unique ID.

## ◆ timestamp

uint64_t timestamp

Timestamp.

## ◆ type

EventType type {EventType::Unknown}

Type.

The documentation for this struct was generated from the following files:

- events.h
- events.cpp